Bug 1836902 - Create button should be enabled by default on loading the yaml editor
Summary: Create button should be enabled by default on loading the yaml editor
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.5.0
Assignee: Sahil Budhwar
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-18 13:04 UTC by Sahil Budhwar
Modified: 2020-07-13 17:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-13 17:39:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 5479 0 None closed Bug 1836902: validate event sources form and enable create button on yaml form 2020-06-24 03:03:26 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:39:51 UTC

Description Sahil Budhwar 2020-05-18 13:04:32 UTC
The YAML Editor for event source creation form should have the create button enabled by default
It is an issue with formik validation which fails to validate the form on `setFieldValue`
(https://github.com/jaredpalmer/formik/issues/2083)
A fix is in place using `useFormikValidationFix` custom hook.
But the issue persists inspite of the fix for the event source creation form.

Comment 3 Gajanan More 2020-05-21 05:36:01 UTC
I have validated the bugzilla on:
Build: 4.5.0-0.nightly-2020-05-20-235311
Browser: Google Chrome Version 81.0.4044.129
Marking this as verified.

Comment 4 errata-xmlrpc 2020-07-13 17:39:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.